Bug 729098 - tcptrack: heap overflow in parsing the command line [fedora-all]
Summary: tcptrack: heap overflow in parsing the command line [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcptrack
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitesh Shah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-2903
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:25 UTC by Vincent Danen
Modified: 2011-08-28 05:39 UTC (History)
1 user (show)

Fixed In Version: tcptrack-1.4.2-1.fc16
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-28 05:39:25 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-08-08 17:25:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=729096

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-08-11 06:58:40 UTC
tcptrack-1.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tcptrack-1.4.2-1.fc16

Comment 2 Fedora Update System 2011-08-12 04:20:55 UTC
Package tcptrack-1.4.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tcptrack-1.4.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tcptrack-1.4.2-1.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-08-28 05:39:21 UTC
tcptrack-1.4.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.